__gnu_cxx::_Mutable_RandomAccessContainerConcept(3)

NAME
__gnu_cxx::_Mutable_RandomAccessContainerConcept -

SYNOPSIS

Detailed Description

  template<class _RandomAccessContainer> struct __gnu_cxx::_Mutable_RandomAccessContainerConcept< _RandomAccessContainer >

Definition at line 693 of file boost_concept_check.h.

  Public Types
typedef _RandomAccessContainer::iterator _Iterator
typedef _RandomAccessContainer::reference _Reference
typedef _RandomAccessContainer::reverse_iterator _Reverse_iterator
typedef _RandomAccessContainer::size_type _Size_type

  Public Member Functions
void __constraints ()

  Public Attributes
_RandomAccessContainer __c
_Size_type __i

Author

Generated automatically by Doxygen for libstdc++ from the source code.